Skip to content

Sharpen an image

POST
/v1/process/sharpen

Sharpen an image using unsharp mask. Control the sharpening intensity with amount and edge sensitivity with threshold.

This is a free operation — no credits charged.

object
amount

Sharpening amount (default 1.5). Must be > 0 and <= 10.

null | number
input_image_url
required

HTTPS URL of the image to sharpen.

string
threshold

Edge detection threshold (default 3). Must be >= 0 and <= 255.

null | integer

OK

object
content_type

MIME type of the output image.

string
expires_at

ISO 8601 expiry time of the signed URL.

string
image_url

Signed URL of the processed image. Expires in 1 hour.

string
operation

Processing operation performed.

string

Bad Request

object
details
error
string
message
string
request_id
string

Unauthorized

object
details
error
string
message
string
request_id
string

Payment Required

object
details
error
string
message
string
request_id
string

Forbidden

object
details
error
string
message
string
request_id
string

Not Found

object
details
error
string
message
string
request_id
string

Conflict

object
details
error
string
message
string
request_id
string

Unprocessable Entity

object
details
error
string
message
string
request_id
string

Too Many Requests

object
details
error
string
message
string
request_id
string

Unavailable For Legal Reasons

object
details
error
string
message
string
request_id
string

Internal Server Error

object
details
error
string
message
string
request_id
string

Bad Gateway

object
details
error
string
message
string
request_id
string

Service Unavailable

object
details
error
string
message
string
request_id
string